The officially official Devuan Forum!

You are not logged in.

#1 2020-09-26 07:15:52

mstrohm
Member
Registered: 2020-02-09
Posts: 16  

Beowulf: No updates available via apt?

Hello


I'm wondering a bit, because apt reports that all packages are up to date for weeks. This happens on more than one machine that is running Devuan GNU+Linux beowulf.

The apt source is http://deb.devuan.org/merged using main, contrib, beowulf-updates and beowulf-security. All these repositories show up with priority 500 for the armhf, i386 and amd64 architecture when I run apt-cache policy.


Are there really no updates available at the moment or are my systems misconfigured?


Regards,
mstrohm

Offline

#2 2020-09-26 10:32:18

brocashelm
Member
Registered: 2020-06-29
Posts: 56  

Re: Beowulf: No updates available via apt?

It's likely your systems don't need any updates for Beowulf right this moment. You could try adding beowulf-proposed-updates and/or beowulf-backports to your repositories and see what updates are readily available. It's the safer alternative to pulling in packages from Chimaera or Ceres.


"In a Time of Universal Deceit — Telling the Truth Is a Revolutionary Act" | George Orwell
Cthulhu 2020 | No Lives Matter

Online

#3 2020-09-26 11:44:40

fsmithred
Administrator
Registered: 2016-11-25
Posts: 1,637  

Re: Beowulf: No updates available via apt?

Last time I upgraded my beowulf was exactly one week ago, and I see nine packages for upgrade today. You might not have all these packages installed. If you're not seeing the new kernel, maybe you don't have the kernel metapackage installed - linux-image-amd64 (or similar)

aptitude -s full-upgrade
The following NEW packages will be installed:
  linux-headers-4.19.0-11-amd64{a} linux-headers-4.19.0-11-common{a} linux-image-4.19.0-11-amd64{a} 
The following packages will be upgraded:
  librsvg2-2 librsvg2-common libvncclient1 libvncserver1 libx11-6 libx11-data libx11-xcb1 linux-headers-amd64 
  linux-image-amd64 
9 packages upgraded, 3 newly installed, 0 to remove and 0 not upgraded.

Offline

#4 2020-09-26 15:13:40

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,064  
Website

Re: Beowulf: No updates available via apt?

brocashelm wrote:

You could try adding beowulf-proposed-updates and/or beowulf-backports to your repositories and see what updates are readily available.

The proposed-updates repository is for testing updates prior to point releases and so the packages may be buggy, the OP should therefore probably avoid them if they are using their system for anything critical. The backports repository has NotAutomatic: yes set in the InRelease file so no packages will be automatically updated from there unless the pinning is changed manually.


Black Lives Matter

Offline

#5 2020-09-26 15:56:34

brocashelm
Member
Registered: 2020-06-29
Posts: 56  

Re: Beowulf: No updates available via apt?

We're at a point where you can use Sid without worrying about something catastrophic underway, and even a bug or two could be patched up instantly. I think this argument would have been applicable ten years ago when GNU/Linux wasn't quite there yet with desktop adoption. It's a lot better now.

Still, if you're just looking to update as much as you can at least once a week, then expanding your repositories or moving over to a development branch would be ideal. Otherwise, if everything else looks fine, then why fix what isn't broken? That's the whole point of stable releases.


"In a Time of Universal Deceit — Telling the Truth Is a Revolutionary Act" | George Orwell
Cthulhu 2020 | No Lives Matter

Online

#6 2020-10-03 13:39:42

mstrohm
Member
Registered: 2020-02-09
Posts: 16  

Re: Beowulf: No updates available via apt?

A few days ago, apt finally reported some packages that can be updated. In short: Everything is fine again. Thank you all for your help :-)

Offline

Board footer